Bug 384943 - Automatic filters on maildirs are not applied automatically
Summary: Automatic filters on maildirs are not applied automatically
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: sieve (show other bugs)
Version: 5.6.0
Platform: Neon Linux
: NOR normal with 21 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-21 20:07 UTC by Chris
Modified: 2021-08-11 13:13 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2017-09-21 20:07:41 UTC
Filter rules are not applied on new messages arriving in local maildir folders even if set to be automatically applied on all messages.
I consider this a bug.
Comment 1 Chris 2017-11-22 13:42:50 UTC
I know KDE and Kontact are FOSS projects maintained by the community in their freetime. Nevertheless it would be nice if someone will look into this bug or at least try to reproduce it.
I find it anoying and it would be nice if it was fixed and I hope I will at least receive a comment/reproduction from someone else anytime soon.
Comment 2 avlas 2017-12-23 06:38:53 UTC
I can reproduce this bug in some of my filters. Others work fine. I have no clue why some of them fail and some other just work :/
Comment 3 Marcel Wiesweg 2017-12-30 18:46:07 UTC
Confirmed with Kontact 5.7.0 on Frameworks 5.40.0.
Manually applying the filters works.
Comment 4 Ian 2018-01-30 22:21:42 UTC
On previous version this issue sometimes showed up, but would then work as expected after restarting Kmail, or in some cases, restarting KDE.

However since upgrading to Version 5.6.3, the auto-filtering is permanently broken, and above steps no longer fix it.

Using Gentoo, all mail is POP3.

I get a lot of fail2ban mail which really needs to be filtered to its own folder...
Thanks, Ian
Comment 5 Ian 2018-01-30 22:22:59 UTC
Manual filtering still works.
Comment 6 Aragorn 2021-08-11 13:13:10 UTC
I am not the original poster, but the problem has apparently returned in KMail 5.17.3.  Incoming mail is no longer automatically moved into the designated folders, but applying the filters manually with [Ctrl+J] does still work.  This is on a fully updated Manjaro Stable.

Operating System: Manjaro Linux
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.2
Kernel Version: 5.4.138-1-MANJARO (64-bit)
Graphics Platform: X11
Processors: 6 × Intel® Core™ i5-8400 CPU @ 2.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 630